Bug 1462205 - [trello JMKxStDt] Remove binding action remains after binding was removed
[trello JMKxStDt] Remove binding action remains after binding was removed
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jessica Forrester
Depends On:
  Show dependency treegraph
Reported: 2017-06-16 08:23 EDT by Eduard Trott
Modified: 2017-07-25 10:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-07-25 10:05:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eduard Trott 2017-06-16 08:23:27 EDT
Description of problem:
Can't remove binding on web console

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. oc new-app openshift/hello-openshift --name hello
2. Add user-provided-service provisioned service to the project
3. On overview page bind hello deployment with user-provided-service
4. Delete binding and start another deployment
5. Try to delete binding againg

Actual results:
Can delete binding again

Expected results:
Shouldn't see "delete binding" option in kebab menu of hello deployment

Additional info:
Comment 1 Jessica Forrester 2017-06-16 11:15:19 EDT
There are actually two problems here.

1) There is a known bug in the service catalog where it is not properly cleaning up the Binding objects after they should be deleted. See https://github.com/kubernetes-incubator/service-catalog/issues/942#issuecomment-309045453

2) When unbind can be asynchronous against the broker, then the unbind could take some time. We should not show delete binding when all the existing bindings are already marked for deletion.  We will fix #2 in this bug.
Comment 2 openshift-github-bot 2017-06-20 15:25:15 EDT
Commit pushed to master at https://github.com/openshift/origin-web-console

Bug 1462205 - Delete binding shouldn't show up when all bindings are pending deletion
Comment 4 Eduard Trott 2017-06-21 09:48:00 EDT
verified for OCP v3.6.121

Note You need to log in before you can comment on or make changes to this bug.